Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 456609 - Please split xdriinfo from xorg-x11-utils
Summary: Please split xdriinfo from xorg-x11-utils
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: xorg-x11-utils
Version: 9
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Adam Jackson
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: FedoraOLPCDelta
TreeView+ depends on / blocked
 
Reported: 2008-07-24 22:17 UTC by Daniel Drake
Modified: 2008-09-17 22:04 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-07-28 01:09:33 UTC


Attachments (Terms of Use)

Description Daniel Drake 2008-07-24 22:17:13 UTC
Would you consider splitting xdriinfo into it's own package, excluded from the
xorg-x11-server dependency chain?

xdriinfo depends on mesa which adds a lot of stuff into the OLPC XO software
build. For Fedora 7 and now Fedora 9 we have forked xorg-x11-utils to remove
xdriinfo and the mesa stuff, but it would be nice to be able to drop our fork
(if not soon, then in the Fedora 10 timeframe).

Comment 1 Adam Jackson 2008-07-28 01:02:48 UTC
xdriinfo isn't particularly useful anyway, and it really belongs in glx-utils. 
I'll just drop it from xorg-x11-utils for now, if someone wants it back I'll
re-add it to Mesa.

Comment 2 Adam Jackson 2008-07-28 01:09:33 UTC
Fixed in xorg-x11-utils 7.4-3.fc10.  I'm inclined to just leave the package
forked for F9 though; if you disagree, please reopen.


Note You need to log in before you can comment on or make changes to this bug.